申込者更新
curl --request PATCH \
--url https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memo": "<string>",
"paid_amount": 49999999,
"cancel_reason": "<string>",
"custom_fields": {},
"send_cancel_notification": false,
"has_step_immediately": false,
"has_step_scheduled": false,
"has_reminder": false
}
'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}"
payload = {
"memo": "<string>",
"paid_amount": 49999999,
"cancel_reason": "<string>",
"custom_fields": {},
"send_cancel_notification": False,
"has_step_immediately": False,
"has_step_scheduled": False,
"has_reminder": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
memo: '<string>',
paid_amount: 49999999,
cancel_reason: '<string>',
custom_fields: {},
send_cancel_notification: false,
has_step_immediately: false,
has_step_scheduled: false,
has_reminder: false
})
};
fetch('https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'memo' => '<string>',
'paid_amount' => 49999999,
'cancel_reason' => '<string>',
'custom_fields' => [
],
'send_cancel_notification' => false,
'has_step_immediately' => false,
'has_step_scheduled' => false,
'has_reminder' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}"
payload := strings.NewReader("{\n \"memo\": \"<string>\",\n \"paid_amount\": 49999999,\n \"cancel_reason\": \"<string>\",\n \"custom_fields\": {},\n \"send_cancel_notification\": false,\n \"has_step_immediately\": false,\n \"has_step_scheduled\": false,\n \"has_reminder\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"memo\": \"<string>\",\n \"paid_amount\": 49999999,\n \"cancel_reason\": \"<string>\",\n \"custom_fields\": {},\n \"send_cancel_notification\": false,\n \"has_step_immediately\": false,\n \"has_step_scheduled\": false,\n \"has_reminder\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"memo\": \"<string>\",\n \"paid_amount\": 49999999,\n \"cancel_reason\": \"<string>\",\n \"custom_fields\": {},\n \"send_cancel_notification\": false,\n \"has_step_immediately\": false,\n \"has_step_scheduled\": false,\n \"has_reminder\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"schedule": {
"id": "<string>",
"start_datetime": "<string>",
"end_datetime": "<string>",
"member": {
"id": "<string>",
"name": "<string>"
}
},
"name": "<string>",
"kana": "<string>",
"sei": "<string>",
"mei": "<string>",
"sei_kana": "<string>",
"mei_kana": "<string>",
"mail": "<string>",
"phone": "<string>",
"zipcode": "<string>",
"pref": "<string>",
"city": "<string>",
"address": "<string>",
"building": "<string>",
"line_friend": {
"id": "<string>",
"display_name": "<string>"
},
"status_participation": "reserved",
"status_contract": "unregistered",
"memo": "<string>",
"paid_amount": 123,
"paid_at": "<string>",
"cancel_reason": "<string>",
"is_test_mode": true,
"custom_fields": {},
"created_at": "<string>",
"updated_at": "<string>"
}
}申込者
申込者更新
申込者の参加状況・成約状況・メモ・入金額・キャンセル理由・申込者項目を更新します。指定したフィールドだけを更新する部分更新です。
お名前・メールアドレス・電話番号・住所は更新できません。paid_amount はイベントの参加費が「有料」の場合だけ更新されます。
参加状況・成約状況の変更には、管理画面の「申込者」で状況を変更したときと同じ処理が伴います。
- 参加状況または成約状況が変わると、申込者に紐づく読者の配信状態を更新します(キャンセル系(
cancel_contact/cancel_no_contact/cancel_changed)で配信停止、参加系(reserved/attended/delay)で配信停止を解除)。 - 参加状況を変更前と異なるキャンセル系に変えると、担当者の Google カレンダー・Zoom の予定も更新します(個別相談・個別予約で担当者がいる場合)。
- 参加系からキャンセル系へ変えると、管理画面の「キャンセル処理」と同じキャンセル処理を行います。
cancel_contactへの変更でsend_cancel_notificationが true、かつイベント設定「キャンセル時の動作設定」の「メール自動返信」(申込方式が「LINEのみ」のイベントでは「LINE自動返信」)が「送信する」の場合に申込者へキャンセルのメール(「LINEのみ」のイベントではLINE)を送信し、イベント設定の「シナリオ連携」が「する」の場合は連携配信シナリオへ登録します(has_step_immediately/has_step_scheduled/has_reminderで配信の対象を指定。いずれも既定は false)。
custom_fields でイベントで使用中でない項目を指定すると 422(details のキーは custom_fields.event_itemNN)です。
申込者更新
curl --request PATCH \
--url https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memo": "<string>",
"paid_amount": 49999999,
"cancel_reason": "<string>",
"custom_fields": {},
"send_cancel_notification": false,
"has_step_immediately": false,
"has_step_scheduled": false,
"has_reminder": false
}
'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}"
payload = {
"memo": "<string>",
"paid_amount": 49999999,
"cancel_reason": "<string>",
"custom_fields": {},
"send_cancel_notification": False,
"has_step_immediately": False,
"has_step_scheduled": False,
"has_reminder": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
memo: '<string>',
paid_amount: 49999999,
cancel_reason: '<string>',
custom_fields: {},
send_cancel_notification: false,
has_step_immediately: false,
has_step_scheduled: false,
has_reminder: false
})
};
fetch('https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'memo' => '<string>',
'paid_amount' => 49999999,
'cancel_reason' => '<string>',
'custom_fields' => [
],
'send_cancel_notification' => false,
'has_step_immediately' => false,
'has_step_scheduled' => false,
'has_reminder' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}"
payload := strings.NewReader("{\n \"memo\": \"<string>\",\n \"paid_amount\": 49999999,\n \"cancel_reason\": \"<string>\",\n \"custom_fields\": {},\n \"send_cancel_notification\": false,\n \"has_step_immediately\": false,\n \"has_step_scheduled\": false,\n \"has_reminder\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"memo\": \"<string>\",\n \"paid_amount\": 49999999,\n \"cancel_reason\": \"<string>\",\n \"custom_fields\": {},\n \"send_cancel_notification\": false,\n \"has_step_immediately\": false,\n \"has_step_scheduled\": false,\n \"has_reminder\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"memo\": \"<string>\",\n \"paid_amount\": 49999999,\n \"cancel_reason\": \"<string>\",\n \"custom_fields\": {},\n \"send_cancel_notification\": false,\n \"has_step_immediately\": false,\n \"has_step_scheduled\": false,\n \"has_reminder\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"schedule": {
"id": "<string>",
"start_datetime": "<string>",
"end_datetime": "<string>",
"member": {
"id": "<string>",
"name": "<string>"
}
},
"name": "<string>",
"kana": "<string>",
"sei": "<string>",
"mei": "<string>",
"sei_kana": "<string>",
"mei_kana": "<string>",
"mail": "<string>",
"phone": "<string>",
"zipcode": "<string>",
"pref": "<string>",
"city": "<string>",
"address": "<string>",
"building": "<string>",
"line_friend": {
"id": "<string>",
"display_name": "<string>"
},
"status_participation": "reserved",
"status_contract": "unregistered",
"memo": "<string>",
"paid_amount": 123,
"paid_at": "<string>",
"cancel_reason": "<string>",
"is_test_mode": true,
"custom_fields": {},
"created_at": "<string>",
"updated_at": "<string>"
}
}PATCH
https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}
Body
application/json
申込者の更新項目。指定したフィールドだけを更新します(お名前・メールアドレス・電話番号・住所は更新できません)